/**
 * Peso < Carga
 * 
 * @author FMM
 * @version 7/2009
 */
public class Peso extends Carga {
   
   private int peso;  // em Kgs
   
   public int getPeso() { return peso; }
   public void setPeso(int p) { peso = p; }
   
   public Peso() { super(); peso = 0; }
   
   public Peso(Peso cp) {
       super(cp);
       peso = cp.getPeso();
   }
   
   public Peso(String cod, double dist, String cli, String dest, String prod, int p) {
       super(cod, dist, cli, dest, prod); 
       peso = p;
   }
   
   
   public double calculaPreco() {
       return getPreco(this.getClass().getSimpleName())*peso + 
              getPrecoKm()*this.getKms();
   }
   
   public Peso clone() { return new Peso(this); }   
   
   public String toString() {
      StringBuilder sb = new StringBuilder(super.toString());
      sb.append("Peso " + peso + "\n");
      return sb.toString();
   }
   
   public int hashCode() { return super.hashCode() + peso*7; }


}

